# cp_mgmt_package – Manages package objects on Check Point over Web Services API

New in version 2.9.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Manages package objects on Check Point devices including creating, updating and removing objects.
- All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

access
boolean

Choices:
- no
- yes

True - enables, False - disables access & NAT policies, empty - nothing is changed.

access_layers dictionary |  | Access policy layers.
| add list |  | Collection of Access layer objects to be added identified by the name or UID.
|  | name string |  | Layer name or UID.
|  | position integer |  | Layer position.
| remove list |  | Collection of Access layer objects to be removed identified by the name or UID.
| value list |  | Collection of Access layer objects to be set identified by the name or UID. Replaces existing Access layers.

auto_publish_session
boolean

Choices:
- no
- yes

Publish the current session if changes have been performed after task completes.

color
string

Choices:
- aquamarine
- black
- blue
- crete blue
- burlywood
- cyan
- dark green
- khaki
- orchid
- dark orange
- dark sea green
- pink
- turquoise
- dark blue
- firebrick
- brown
- forest green
- gold
- dark gold
- gray
- dark gray
- light green
- lemon chiffon
- coral
- sea green
- sky blue
- magenta
- purple
- slate blue
- violet red
- navy blue
- olive
- orange
- red
- sienna
- yellow

Color of the object. Should be one of existing colors.

comments string |  | Comments string.

desktop_security
boolean

Choices:
- no
- yes

True - enables, False - disables Desktop security policy, empty - nothing is changed.

details_level
string

Choices:
- uid
- standard
- full

The level of detail for some of the fields in the response can vary from showing only the UID value of the object to a fully detailed representation of the object.

ignore_errors
boolean

Choices:
- no
- yes

Apply changes ignoring errors. You won't be able to publish such a changes. If ignore-warnings flag was omitted - warnings will also be ignored.

ignore_warnings
boolean

Choices:
- no
- yes

Apply changes ignoring warnings.

installation_targets list |  | Which Gateways identified by the name or UID to install the policy on.
name string / required |  | Object name.

qos
boolean

Choices:
- no
- yes

True - enables, False - disables QoS policy, empty - nothing is changed.

qos_policy_type
string

Choices:
- recommended
- express

QoS policy type.

state
string

Choices:
- present ←
- absent

State of the access rule (present or absent). Defaults to present.

tags list |  | Collection of tag identifiers.
threat_layers dictionary |  | Threat policy layers.
| add list |  | Collection of Threat layer objects to be added identified by the name or UID.
|  | name string |  | Layer name or UID.
|  | position integer |  | Layer position.
| remove list |  | Collection of Threat layer objects to be removed identified by the name or UID.
| value list |  | Collection of Threat layer objects to be set identified by the name or UID. Replaces existing Threat layers.

threat_prevention
boolean

Choices:
- no
- yes

True - enables, False - disables Threat policy, empty - nothing is changed.

version string |  | Version of checkpoint. If not given one, the latest version taken.

vpn_traditional_mode
boolean

Choices:
- no
- yes

True - enables, False - disables VPN traditional mode, empty - nothing is changed.

wait_for_task
boolean

Choices:
- no
- yes ←

Wait for the task to end. Such as publish task.

## Examples

    - name: add-package
      cp_mgmt_package:
        access: true
        color: green
        comments: My Comments
        name: New_Standard_Package_1
        state: present
        threat_prevention: false

    - name: set-package
      cp_mgmt_package:
        access_layers:
          add:
          - name: New Access Layer 1
            position: 1
        name: Standard
        state: present
        threat_layers:
          add:
          - name: New Layer 1
            position: 2

    - name: delete-package
      cp_mgmt_package:
        name: New Standard Package 1
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
cp_mgmt_package dictionary | always, except when deleting the object. | The checkpoint object created or updated.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Or Soffer (@chkp-orso)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.